Skip to content
Start here

Create predefined entry

zero_trust.dlp.entries.predefined.create(PredefinedCreateParams**kwargs) -> PredefinedCreateResponse
POST/accounts/{account_id}/dlp/entries/predefined

Predefined entries can’t be created, this will update an existing predefined entry. This is needed for our generated terraform API.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Zero Trust Write
ParametersExpand Collapse
account_id: str
enabled: bool
entry_id: str
formatuuid
profile_id: Optional[str]

This field is not used as the owning profile. For predefined entries it is already set to a predefined profile.

formatuuid
ReturnsExpand Collapse
class PredefinedCreateResponse:
id: str
formatuuid
confidence: Confidence
ai_context_available: bool

Indicates whether this entry has AI remote service validation.

available: bool

Indicates whether this entry has any form of validation that is not an AI remote service.

enabled: bool
name: str
Deprecatedprofile_id: Optional[str]
formatuuid
variant: Optional[Variant]
topic_type: Literal["Intent", "Content"]
One of the following:
"Intent"
"Content"
type: Literal["PromptTopic"]
description: Optional[str]

Create predefined entry

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
predefined = client.zero_trust.dlp.entries.predefined.create(
    account_id="account_id",
    enabled=True,
    entry_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
)
print(predefined.id)
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "confidence": {
      "ai_context_available": true,
      "available": true
    },
    "enabled": true,
    "name": "name",
    "profile_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "variant": {
      "topic_type": "Intent",
      "type": "PromptTopic",
      "description": "description"
    }
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "confidence": {
      "ai_context_available": true,
      "available": true
    },
    "enabled": true,
    "name": "name",
    "profile_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "variant": {
      "topic_type": "Intent",
      "type": "PromptTopic",
      "description": "description"
    }
  }
}